> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns users leaderboard (at the top of the board are users, whose referrals have generated the most fees)



## OpenAPI

````yaml /dln-details/swagger/monitoring.json post /api/Users/referralProgramLeaderboard
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Users/referralProgramLeaderboard:
    post:
      tags:
        - Users
      summary: >-
        Returns users leaderboard (at the top of the board are users, whose
        referrals have generated the most fees)
      operationId: Users_GetReferralProgramLeaderboard
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ReferralProgramLeaderboardRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/ReferralProgramLeaderboardRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/ReferralProgramLeaderboardRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ReferralProgramLeaderboardRequestDTO'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ReferralProgramLeaderboardResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralProgramLeaderboardResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/ReferralProgramLeaderboardResponseDTO'
components:
  schemas:
    ReferralProgramLeaderboardRequestDTO:
      required:
        - skip
        - take
      type: object
      properties:
        referralCode:
          type: integer
          description: Referral code of a user to search for [hex of base58, optional]
          format: int32
          nullable: true
        skip:
          type: integer
          description: items to skip (pagination)
          format: int32
        take:
          type: integer
          description: Number of items to return (pagination) max page size is 100
          format: int32
      additionalProperties: false
      description: Referral program leaderboard request
    ReferralProgramLeaderboardResponseDTO:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/ReferralProgramLeaderboardItemDTO'
          description: Leaderboard items from requested page
          nullable: true
        totalCount:
          type: integer
          description: Total number of leaderboard items
          format: int32
        searchResult:
          $ref: '#/components/schemas/ReferralProgramLeaderboardItemDTO'
      additionalProperties: false
      description: Referral program leaderboard response
    ReferralProgramLeaderboardItemDTO:
      type: object
      properties:
        referralCode:
          type: integer
          description: Referral code of the user
          format: int32
        referralProgramRank:
          type: integer
          description: "Rank of the inviter (i.e. a user, that invites other users) in the leaderboard\r\nUsers are ranked by InvitedUsersTotalFeesGeneratedUsd descending"
          format: int32
        referralsTotalVolumeUsd:
          type: number
          description: >-
            Total give amount's USD equivalent of all user's orders that used
            the referral code
          format: double
        referralsTotalFeesUsd:
          type: number
          description: >-
            Total fees' USD equivalent of all user's orders that used the
            referral code
          format: double
        referralsTotalExecutedOrders:
          type: integer
          description: Total number of user's orders that used the referral code
          format: int32
      additionalProperties: false

````